Subject: bug#13634: 24.2; trailing whitespace in calendar (enhancement)

From: "Drew Adams" <[email-masked]>
Date: Wed, 6 Feb 2013 11:06:04 -0800

> > > `show-trailing-whitespace' globally to t.
> > 
> > So don't do that then. Set it locally in find-file-hook, or 
> > unset it in a calendar hook.
> 
> I agree.  Using show-trailing-whitespace in calendar doesn't make
> sense, since the buffer text there is generated by a program.

It doesn't make sense either for the code to add trailing whitespace here in the
first place.  The fact that it is generated by a program is no good reason to
keep it.  People are responsible for programs.

And if for some reason the code must add it temporarily, it still doesn't make
sense for the code not to then remove it before displaying.

Trailing whitespace serves no purpose here for anyone, does it?